> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/35.-mutation-der-ausgewahlten-note-comment-hinzufugen.md).

# 35. Mutation: der ausgewählten "Note" "Comment" hinzufügen

Diese Mutation ermöglicht es Ihnen, einen Kommentar zur ausgewählten Notiz hinzuzufügen.

* Ein Kommentar kann über seine eindeutige Kennung mit dem Feld verknüpft werden `fieldUuid` und mit der Notiz über `noteUuid`.
* Der Inhalt des Kommentars kann mithilfe des `Text` Attributs angegeben werden. Wenn der Inhalt mehrzeilig sein muss, sollte das `Text` Attribut eine Zeichenkette mit Zeilenumbruchzeichen enthalten `\\n` um Zeilen zu trennen. Zum Beispiel: `"Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier."`.
* Es ist möglich, ein definiertes Datum und Uhrzeit, das mit dem Kommentar verbunden ist, mithilfe des `Erstellungsdatum` Attributs im ISO8601-Format festzulegen.

Beispielanfragen finden Sie unten:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Der 1. Kommentar von mehreren.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    Erstellungsdatum
    updatedDate
    Text
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    Erstellungsdatum
    updatedDate
    Text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/35.-mutation-der-ausgewahlten-note-comment-hinzufugen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
